{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    <link rel="stylesheet" href="{{asset('css/tavoliStyle.css')}}" />
{% endblock %}

{% block content %}

  <div class="ui raised segment">
    <div class="ui breadcrumb" style="margin: 2%">
      <a href="{{path('homepage')}}"class="section">Home</a>
      <i class="right angle icon divider"></i>
      <a href="{{path('admin_ristoranti_lista')}}" class="section">Ristoranti</a>
      <i class="right angle icon divider"></i>
      <a href="{{path('admin_ristorante_dettagli', { 'id': ristorante.id })}}" class="section">{{ristorante.nome}}</a>
      <i class="right angle icon divider"></i>
      <div class="active section">Tavoli</div>
    </div>
  </div>

  <h2 class="ui center aligned header fly" style="margin-top: 20px; margin-left: 20px; display: none">
    <i class="sitemap icon"></i>
    <div class="content" style="font-size: 38px">
      <em><strong>Gestione tavoli</strong></em>
    </div>
  </h2>

  <div class="ui divider"></div>

  <table class="ui celled table">
    <thead>
      <tr>
        <th colspan="4" style="text-align: center">
        <h3 class="ui header">Attualmente sono presenti {{ristorante.tavoli|length}} tavoli</h3>
      </tr>
      <tr>
        <th>Numero</th>
        <th>Posti</th>
      </tr>
    </thead>
    <tbody>
      {% for tavolo in ristorante.tavoli %}
        <tr>
          <td>#{{tavolo.numero}}</td>
          <td>{{tavolo.posti}}</td>
        </tr>
      {% endfor %}
    </tbody>
    <tfoot>
      <tr>
        <th colspan="4" style="padding-bottom: 0">
          <div style="float: right" class="icon button" data-position="left center" data-tooltip="Aggiungi un tavolo" data-inverted="">
            <i id="add-tavolo" class="ui add circle icon" style="font-size: 40px; padding-top: 5px"></i>
          </div>
        </th>
      </tr>
    </tfoot>
  </table>

  <div id="new-table-modal" class="ui modal">
    <div class="header">Inserisci un nuovo tavolo nel ristorante {{ristorante.nome}}</div>
    <div class="content" style="padding: 20px">
      <form id="new-table-form" method="post">
        <div class="two fields">
          <div class="required field" style="display: inline; margin-right: 50px">
            <div class="ui right labeled left icon input">
              <i class="hashtag icon"></i>
              <input type="number" name="numero" min="0">
              <a class="ui tag label">
                Numero
              </a>
            </div>
          </div>
          <div class="required field"  style="display: inline">
            <div class="ui right labeled left icon input">
              <i class="users icon"></i>
              <input type="number" name="posti" min="0">
              <a class="ui tag label">
                Posti
              </a>
            </div>
          </div>
        </div>
        <div class="ui divider"></div>
        <span style="color: #DB2828; margin-right: 5px">*</span>Campo obbligatorio
        <button style="float:right" type="submit" class="submit-button ui right labeled icon positive button">
          <i class="checkmark icon"></i> Ok, ho finito!
        </button>
        <div style="margin-bottom: 10px; display: inline; float:right" class="actions">
          <div class="ui cancel button">
              Annulla
          </div>
        </div>
      </form>
    </div>
  </div>

  {% block javascripts %}
    
  {% endblock %}

{% endblock %}
